using System;
using System.Collections.Generic;
using System.Text;
using GTANetworkAPI;
using ReallifeGamemode.Database.Entities;
using ReallifeGamemode.Server.Extensions;
using ReallifeGamemode.Server.Managers;

namespace ReallifeGamemode.Server.Inventory.Items
{
  internal class AviateChips : ConsumableItem
  {
    public override int Id => 104;
    public override string Name => "aviates Chips";
    public override string Description => "aviate liebt sie.";
    public override int Gewicht => 200;
    public override string Einheit => "g";
    public override int HpAmount => 10;
    public override uint Object => 2240524752;
    public override int Price => 1000;

    public override float Cooldown => 60000;

    public override void Consume(UserItem uItem)
    {
      Player player = uItem.GetUser().Player;

      int amountToAdd = HpAmount;
      if (player.Health + amountToAdd > 100)
      {
        amountToAdd = 100 - player.Health;
      }

      player.SafeSetHealth(player.Health + amountToAdd);
      player.SendNotification("Du hast ~y~" + Name + " ~s~gegessen.", false);
      InventoryManager.RemoveUserItem(player.GetUser(), uItem, 1);
    }
  }
}
